/*
 * Copyright (C) 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

syntax = "proto2";

package android.os.statsd.display;

import "frameworks/proto_logging/stats/atoms.proto";
import "frameworks/proto_logging/stats/atom_field_options.proto";
import "frameworks/proto_logging/stats/enums/display/display_enums.proto";

option java_package = "com.android.os.display";
option java_multiple_files = true;

extend Atom {
  optional DisplayModeDirectorVoteChanged display_mode_director_vote_changed = 792 [(module) = "framework"];
}

/* Pushed atom for vote status change */
message DisplayModeDirectorVoteChanged {
  // Display id, or -1 if global vote
  optional int32 display_id = 1;
  // Vote priority numeric value, see com.android.server.display.mode.Vote
  optional int32 vote_priority = 2;
  // Vote status
  optional android.display.DisplayModeDirectorVoteStatus vote_status = 3;
  // Vote value, max refresh rate for now
  optional int32 value = 4;
  // Base mode value, -1 if not active
  optional int32 summary_value = 5;
}

